package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class LeaseStatusReportFacadeFactory
{
    private LeaseStatusReportFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.ILeaseStatusReportFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ILeaseStatusReportFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("029D0A5C") ,com.kingdee.eas.custom.gggl.ILeaseStatusReportFacade.class);
    }
    
    public static com.kingdee.eas.custom.gggl.ILeaseStatusReportFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ILeaseStatusReportFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("029D0A5C") ,com.kingdee.eas.custom.gggl.ILeaseStatusReportFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.ILeaseStatusReportFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ILeaseStatusReportFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("029D0A5C"));
    }
    public static com.kingdee.eas.custom.gggl.ILeaseStatusReportFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.ILeaseStatusReportFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("029D0A5C"));
    }
}